MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
UpdateIO.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
Include dependency graph for UpdateIO.hxx:

Go to the source code of this file.

## Functions
bool | GetInfo (Storage &storage, const char *uri_utf8, StorageFileInfo &info)
| Wrapper for Storage::GetInfo() that logs errors instead of returning them. More...
bool | GetInfo (StorageDirectoryReader &reader, StorageFileInfo &info)
| Wrapper for LocalDirectoryReader::GetInfo() that logs errors instead of returning them. More...
gcc_pure bool | DirectoryExists (Storage &storage, const Directory &directory)
gcc_pure bool | directory_child_is_regular (Storage &storage, const Directory &directory, const char *name_utf8)
gcc_pure bool | directory_child_access (Storage &storage, const Directory &directory, const char *name, int mode)
| Checks if the given permissions on the mapped file are given. More...

## Function Documentation

gcc_pure bool directory_child_access | ( | Storage & | storage,
|  | const Directory & | directory,
|  | const char * | name,
|  | int | mode
| ) |  |

Checks if the given permissions on the mapped file are given.

gcc_pure bool directory_child_is_regular | ( | Storage & | storage,
|  | const Directory & | directory,
|  | const char * | name_utf8
| ) |  |

gcc_pure bool DirectoryExists | ( | Storage & | storage,
|  | const Directory & | directory
| ) |  |

bool GetInfo | ( | Storage & | storage,
|  | const char * | uri_utf8,
|  | StorageFileInfo & | info
| ) |  |

Wrapper for Storage::GetInfo() that logs errors instead of returning them.

bool GetInfo | ( | StorageDirectoryReader & | reader,
|  | StorageFileInfo & | info
| ) |  |

Wrapper for LocalDirectoryReader::GetInfo() that logs errors instead of returning them.